Wont' Work with 7.0.1 Rated 2 out of 5 stars

Keep getting told that LookOut is incompatible with Thunderbird 7.0.1.

This review is for a previous version of the add-on (1.2.12). 

Version issue not quality issue

If you want to get it before mozilla approves it then click the link that says "see version history" or use this link
https://addons.mozilla.org/en-US/thunderbird/addon/lookout/versions/